---
Name: "ubuntu-16.04-install"
Description: "Ubuntu-16.04 install points to the latest release version"
Documentation: |
  NOTE: Default Ubuntu ISOs will attempt to check internet repositories,
  this can cause problems during provisioning if your environment does not have outbound access.
  Workaround this by defining Options 3 (Gateway) and 6 (DNS) for your machines defined Subnet.
  See <https://docs.rackn.io/stable/resources/kb/kb-00033/>
Meta:
  feature-flags: "change-stage-v2"
  icon: "linux"
  color: "purple"
  title: "Digital Rebar Community Content"
  type: "os"
  group-by: Ubuntu
OS:
  Name: "ubuntu-16.04"
  Family: "ubuntu"
  Version: "16.04"
  type: "os"
  IsoFile: "ubuntu-16.04.7-server-amd64.iso"
  IsoSha256: "b23488689e16cad7a269eb2d3a3bf725d3457ee6b0868e00c8762d3816e25848"
  IsoUrl: "https://rackn-repo.s3.amazonaws.com/isos/canonical/ubuntu/16.04/ubuntu-16.04.7-server-arm64.iso"
Initrds:
  - "install/netboot/ubuntu-installer/amd64/initrd.gz"
Kernel: "install/netboot/ubuntu-installer/amd64/linux"
BootParams: >-
  debian-installer/locale=en_US.utf8
  console-setup/layoutcode=us
  keyboard-configuration/layoutcode=us
  netcfg/dhcp_timeout=120
  netcfg/choose_interface=auto
  url={{.Machine.Url}}/seed
  netcfg/get_hostname={{.Machine.Name}}
  root=/dev/ram
  rw
  quiet
  {{.ParamExpand "kernel-options"}}
  --
  {{.ParamExpand "init-options"}}
RequiredParams:
OptionalParams:
  - "part-scheme"
  - "operating-system-disk"
  - "provisioner-default-user"
  - "provisioner-default-fullname"
  - "provisioner-default-uid"
  - "provisioner-default-password-hash"
  - "kernel-console"
  - "kernel-options"
  - "proxy-servers"
  - "dns-domain"
  - "local-repo"
  - "proxy-servers"
  - "ntp-servers"
  - "select-kickseed"
Templates:
  - Name: "kexec"
    ID: "kexec.tmpl"
    Path: "{{.Machine.Path}}/kexec"
  - ID: "default-pxelinux.tmpl"
    Name: "pxelinux"
    Path: "pxelinux.cfg/{{.Machine.HexAddress}}"
  - ID: "default-ipxe.tmpl"
    Name: "ipxe"
    Path: "{{.Machine.Address}}.ipxe"
  - ID: "default-pxelinux.tmpl"
    Name: "pxelinux-mac"
    Path: 'pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}'
  - ID: "default-ipxe.tmpl"
    Name: "ipxe-mac"
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: "select-kickseed.tmpl"
    Name: "seed"
    Path: "{{.Machine.Path}}/seed"
  - ID: "net-post-install.sh.tmpl"
    Name: "net-post-install.sh"
    Path: "{{.Machine.Path}}/post-install.sh"
  - Name: grub-secure-mac
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg-{{.Machine.MacAddr "pxelinux"}}'
    ID: default-grub.tmpl
  - Name: grub-secure
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg-{{.Machine.HexAddress}}'
    ID: default-grub.tmpl
  - ID: "default-grub.tmpl"
    Name: "grub"
    Path: "grub/{{.Machine.Address}}.cfg"
  - ID: "default-grub.tmpl"
    Name: "grub-mac"
    Path: 'grub/{{.Machine.MacAddr "grub"}}.cfg'
  - Name: grub-http-boot
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
    ID: default-grub.tmpl
